Export a project

GET https://{controlplane_path}/api/1/rest/public/project/export/{project_path}      

Overview

This API exports a zip file containing the specified project's files.

Prerequisites

  • Environment (Org) admin permissions

Request

 GET https://{controlplane_path}/api/1/rest/public/project/export/{project_path}?{query_parameters}

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
project_path
Required. The path to the SnapLogic project.

Format: /{env_org}/{project_space}/{project_name}

Important: The path comparison is case-sensitive.

Query parameters

Key Type Description
asset_types array The list of asset types to export.
Valid values:
  • Account
  • File
  • Job (task)
  • Pipeline

Default: All valid asset types.

force Boolean If true, the project is exported regardless of the file size limit.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

A zip file containing the project files is downloaded.

Example

Assuming retrieving details of Tasks in a development environment DEV with project name as Test and Task name is custom_task the path for the API would be as provided below:

https://elastic.snaplogicdev.com/api/1/rest/public/project/export/DEV/Test/custom_task

A zip file containing the project files is downloaded.